Backends
Create backend
POST
/
api
/
admin
/
backends
Create backend
curl --request POST \
--url https://{instance}.{env}.on-hellgate.cloud/api/admin/backends \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_pipeline": {
"date_header": "<string>",
"extra_headers": {},
"header_values": {},
"method": "<string>",
"signed_headers": [
"<string>"
],
"token_prefix": "<string>"
},
"connections": {},
"credentials": {
"password": "<string>",
"username": "<string>"
},
"id": "vdm",
"name": "CyberSource VDM",
"protocol": "<string>",
"enabled": true,
"encryption": {
"algorithm": "RSA-OAEP-256",
"encryption_method": "A256GCM",
"mode": "whole_body",
"request_key_kid": "<string>",
"response_key_kids": [
"<string>"
],
"extra_header_claims": [
"iat"
],
"request_field": "encryptedRequest",
"response_field": "encryptedResponse"
},
"host": "apitest.cybersource.com"
}
'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/admin/backends"
payload = {
"auth_pipeline": {
"date_header": "<string>",
"extra_headers": {},
"header_values": {},
"method": "<string>",
"signed_headers": ["<string>"],
"token_prefix": "<string>"
},
"connections": {},
"credentials": {
"password": "<string>",
"username": "<string>"
},
"id": "vdm",
"name": "CyberSource VDM",
"protocol": "<string>",
"enabled": True,
"encryption": {
"algorithm": "RSA-OAEP-256",
"encryption_method": "A256GCM",
"mode": "whole_body",
"request_key_kid": "<string>",
"response_key_kids": ["<string>"],
"extra_header_claims": ["iat"],
"request_field": "encryptedRequest",
"response_field": "encryptedResponse"
},
"host": "apitest.cybersource.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_pipeline: {
date_header: '<string>',
extra_headers: {},
header_values: {},
method: '<string>',
signed_headers: ['<string>'],
token_prefix: '<string>'
},
connections: {},
credentials: {password: '<string>', username: '<string>'},
id: 'vdm',
name: 'CyberSource VDM',
protocol: '<string>',
enabled: true,
encryption: {
algorithm: 'RSA-OAEP-256',
encryption_method: 'A256GCM',
mode: 'whole_body',
request_key_kid: '<string>',
response_key_kids: ['<string>'],
extra_header_claims: ['iat'],
request_field: 'encryptedRequest',
response_field: 'encryptedResponse'
},
host: 'apitest.cybersource.com'
})
};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/admin/backends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_pipeline": {
"date_header": "<string>",
"extra_headers": {},
"header_values": {},
"method": "<string>",
"signed_headers": [
"<string>"
],
"token_prefix": "<string>"
},
"enabled": true,
"host": "apitest.cybersource.com",
"id": "vdm",
"inserted_at": "2023-11-07T05:31:56Z",
"name": "CyberSource VDM",
"protocol": "<string>"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "VALIDATION_ERROR",
"code": 422,
"validation_errors": [
{
"message": "url is required",
"path": "url"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Backend configuration
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Credential material for the auth pipeline. Shape is determined by auth_pipeline.source_type and auth_pipeline.credential_type.
- InlineBasicCredentials
- InlineBearerCredentials
- InlineHmacCredentials
- VaultCredentials
Show child attributes
Show child attributes
Example:
"vdm"
Example:
"CyberSource VDM"
Optional per-backend message-level encryption (MLE). When set, the mapped request body is JWE-encrypted before dispatch and the response body is decrypted before response mapping. Key material is managed via /api/admin/keys.
Show child attributes
Show child attributes
Example:
"apitest.cybersource.com"
⌘I
Create backend
